tt_pattern_category_set(library call)

NAME
tt_pattern_category_set — fill in the category field for a pattern

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_pattern_category_set(
Tt_pattern p,
Tt_category c);

DESCRIPTION

The tt_pattern_category_set function fills in the category field for the specified pattern.

The p argument is a unique handle for a message pattern. This handle is returned after tt_pattern_create(3) is called.

The c argument indicates whether the receiving process will observe or handle messages. The following values are defined:

TT_OBSERVE
    The receiving process will observe messages.

TT_HANDLE
    The receiving process will handle messages.

RETURN VALUE

Upon successful completion, the tt_pattern_category_set function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_CATEGORY
    The pattern object has no category set.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_pattern_category(3), tt_pattern_create(3).